/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	'stepTitle': "Cross-Server Communication", 
	'description': "Specify other Jazz-based servers with which you want to establish server-to-server communication.  Enter the location information of another Jazz Team Server and a code phrase to use as the OAuth secret.  Then request access to that server to create an OAuth consumer key and store the information in the friends list.  Once the OAuth key is authorized by the other server, this server will be able to interact with the other Jazz server. Note: When connecting to products like Rational Requirements Composer, be sure to use the Root Services URI of the fronting server and not the underlying Jazz Foundation Server. See the Description section for examples.",
	'step1Title': "Request Server-to-Server Communication",
	'step1Description': ".  Then you can request a provisional consumer key from that server and store this information in your server's friend list.",

	'step2Title': "Authorize Provisional Key",
	'step2Description': "Once you request a provisional key, this section will display the stored key.",
	
	'requestError': "There was an error connecting to ${0}.  Verify the URL is valid and the server is running.",
	
	'keyNeedsAuthorization': "The provisional key you requested needs to be authorized by an administrator on the other server: <strong>${0}</stong>",
	'authorizationLink': "If you are an administrator on the \"${0}\" server, you can ${1}Grant access for the provisional key${2}.",
	'keyAuthorized': "The provisional key is authorized and stored in the friends list.  The server will now be able to communicate with ${0}.", 
	
	'registerButtonText': "Request Access", 
	'propertyLabel': "Property",
	'valueLabel': "Value",
	'descriptionLabel': "Description",
	
	'titleLabel': "Title", 
	'titleDescrption': "Enter a title to identify this entry in the friends list",
	'rootServicesLabel': "Root Services URI", 
	'rootServicesDescrption': "The URI for root services on the server you want to add as a friend.  (e.g. 'https://rrc-server:9443/rdm/rootservices' or 'https://rqm-server:9443/jazz/rootservices' )",
	'rootServicesExample': "Format: https://<hostname><:port-number>/<context>/rootservices ",
	'serverUriLabel': "Jazz Team Server URI", 
	'serverUriDescrption': "This is the server you want to add as a friend and establish server-to-server communication.  (e.g. 'https://otherJazzServer:9443/jazz/rootservices')",
	'secretLabel': "OAuth Secret", 
	'secretDescrption': "Enter a code phrase to be associated with the new OAuth consumer key from the friend server.",
	'secretLabel2': "Re-type secret", 
	'secretDescrption2': "Re-type your code phrase to help prevent typos.",
	'secretMismatch': "Secrets don't match",
	'trustedLabel': "Trusted", 
	'trustedDescription': "Trusted consumers will be able to share authorization with other trusted consumers and users will not be prompted for approval to access data.  It is recommended that external web sites or products are considered as untrusted.",

	'correctFields': "Please correct the fields below.",
	'completeFields': "Configure communication to another Jazz Team Server or select Next to continue.", 
		
	'postFriendError': "An error occurred while saving a friend to this server.",
	'fetchFriendsError': "An error occurred while requesting the friends list on this server.",
	'fetchRootServicesError': "An error occurred while requesting the root services document from server \"${0}\".",
	'requestKeyError': "An error occurred while requesting an OAuth consumer key from server \"${0}\".", 
	'deleteFriendError': "An error occurred while deleting the friend entry: ${0}",
	'friendsTableHeading': "Server Friends List", 
	'friendsTableDescription': "The list of servers established for server-to-server communication.",
	'noFriends': "There are no entries in the server friends list.",
	'internalFriendsTableHeading': "Internal Friends List", 
	'internalFriendsTableDescription': "The list of fronting server applications which store data to this Jazz Team Server and participate in Project linking (for example, Rational Requirements Composer).  This is used to discover applicable project link sources based on the link types supported by the application.  Internal friends are established at setup time and should not be removed.",
	'oAuthDomainLabel': "OAuth Domain",
	'oAuthConsumerKeyLabel': "OAuth Consumer Key", 
	'removeFriendButton': "Delete Friend",
	'confirmDelete': "Are you sure you want to delete this friend entry?", 
	'requestingAccess': "Requesting Access...",
	
	// edit friend wizard 
	'editFriendHeading': "Friend Title: ${0}",
	'editFriendDialogTitle': "Edit Friend Properties",
	'confirmEditCancel': "Are you sure you want to exit this editor? Any changes made will be lost. Click Cancel to continue working or OK to exit.",
	
	'internalLabel': "Internal", 
	'internalNo': "Public"
})	



